Update
Authentication
Path parameters
Query parameters
The name of the project containing the agent. Only used when nameOrId is a name.
Request
When set to null, the agent will not be associated with a phone number anymore. When set to "assign-automatically", the agent will be assigned a random phone number if it doesn’t have one yet. If the agent already has a phone number, "assign-automatically" has no effect. When set to "custom", you must provide custom_phone_numbers.
Array of custom phone numbers in E.164 format (e.g., [“+1234567890”, “+0987654321”]). The agent will be able to receive phone calls on any of these numbers. Required when phone_number is set to "custom". All phone numbers must be unique.
The timezone of the agent. Used to format system variables like {{system_time}}.
The background noise type. Can be “office”, “call-center”, “coffee-shop”, or null.
When true, the welcome message will be automatically generated and the welcome_message field will be ignored.
When false, the welcome message will not be interruptible by the user.
Message to play when the conversation starts. Can contain template variables like {{customer_name}}. Ignored when generate_welcome_message is true.
Instructions for the conversation. Can contain template variables like {{subject}}.
Array of built-in or custom tool names to use.
Array of task objects with name and description fields.
Whether to have the no-input poke text be generated by AI.
Number of seconds of silence before sending a poke message. null disables the poke message.
The message to send after the specified silence. Ignored when generate_no_input_poke_text is true.
ISO 639-1 language code that sets the agent’s default language to recognize and speak. Welcome message and no input poke text should be in this language.
Array of additional ISO 639-1 language codes that the agent should be able to recognize and speak. Should not include default_language.
If "auto", each user audio is automatically identified for the language to respond in. If "request", user must request to change language (recommended). If "initial" the first turn user audio determines the language for the rest of the conversation.
Push to talk mode. User must send mute/unmute messages to turn on/off listening to audio. Defaults to false.
Array of { word, pronunciation } entries. Words must be unique.
When not null, at the beginning of the conversation the agent will make a POST request to this endpoint to get configuration options.
Float between 0.0 and 1.0 representing the percentage of inbound calls handled by Agent. Requires phone_number to be set when less than 1.0.
E.164 formatted phone number where non-agent calls will be forwarded. Required when inbound_rollout < 1.0, must be null when inbound_rollout = 1.0.
When true, PII and PHI are redacted from text transcripts (e.g. replaced with tags like [PHONE NUMBER]) and bleeped from audio recordings after the conversation ends.
The custom phone number to use for the agent in E.164 format (e.g., +1234567890). This field is deprecated. Use custom_phone_numbers instead.
Array of ISO 639-1 language codes that the agent should be able to recognize. This field is deprecated. Use default_language and additional_languages instead.